CorsFilter.CORSRequestType (Apache Tomcat 9.0.120 API Documentation)
Description: declaration: package: org.apache.catalina.filters, class: CorsFilter, enum: CORSRequestType

# Enum CorsFilter.CORSRequestType

java.lang.Object
java.lang.Enum<CorsFilter.CORSRequestType>
org.apache.catalina.filters.CorsFilter.CORSRequestType

All Implemented Interfaces:
  `Serializable, Comparable<CorsFilter.CORSRequestType>, java.lang.constant.Constable`

Enclosing class:
  `CorsFilter`

protected static enum CorsFilter.CORSRequestType extends Enum<CorsFilter.CORSRequestType>
Enumerates varies types of CORS requests. Also, provides utility methods to determine the request type.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACTUAL`
  An HTTP request that needs to be pre-flighted.
  `INVALID_CORS`
  An invalid CORS request, i.e. it qualifies to be a CORS request, but fails to be a valid one.
  `NOT_CORS`
  Not a CORS request, but a normal request.
  `PRE_FLIGHT`
  A pre-flight CORS request, to get meta information, before a non-simple HTTP request is sent.
  `SIMPLE`
  A simple HTTP request, i.e. it shouldn't be pre-flighted.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CorsFilter.CORSRequestType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CorsFilter.CORSRequestType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SIMPLE

    public static final CorsFilter.CORSRequestType SIMPLE
    A simple HTTP request, i.e. it shouldn't be pre-flighted.

  - ### ACTUAL

    public static final CorsFilter.CORSRequestType ACTUAL
    An HTTP request that needs to be pre-flighted.

  - ### PRE_FLIGHT

    public static final CorsFilter.CORSRequestType PRE_FLIGHT
    A pre-flight CORS request, to get meta information, before a non-simple HTTP request is sent.

  - ### NOT_CORS

    public static final CorsFilter.CORSRequestType NOT_CORS
    Not a CORS request, but a normal request.

  - ### INVALID_CORS

    public static final CorsFilter.CORSRequestType INVALID_CORS
    An invalid CORS request, i.e. it qualifies to be a CORS request, but fails to be a valid one.

- ## Method Details

  - ### values

    public static CorsFilter.CORSRequestType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CorsFilter.CORSRequestType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null